MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025103Open CASCADE[OCCT] OCCT:Visualizationpublic2014-07-25 15:412014-11-11 12:57
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025103: Visualization - Regression in interactive detection
DescriptionThere seems to be a regression in the interactive detection algorithm: it works incorrectly with objects whose location is modified using AIS_InteractiveContext::SetLocation() method.
Steps To Reproducepload ALL
vinit
vsetdispmode 1

box wall1 1 8 8
box wall2 1 8 8
box wall3 16 8 1

vdisplay wall1
vdisplay wall2
vdisplay wall3

vsetlocation wall1 -10 0 0
vsetlocation wall2 5 0 0
vsetlocation wall3 -10 0 -1

vsetmaterial wall1 stone
vsetmaterial wall2 stone
vsetmaterial wall3 pewter

vsetcolor wall1 red
vsetcolor wall2 green

vright
vturnview 0 -0.3 0
vfit

# The next line should highlight the green box (wall2) but it does not
vmoveto 394 205
# The next line should not hit any object but it highlights the green box
vmoveto 264 205
TagsNo tags attached.
Test case numberbugs vis(004) bug25103
Attached Files

- Relationships
related to 0024837closedbugmaster Visualization - revise design and implementation of connected Interactive Objects 

-  Notes
(0030969)
san (developer)
2014-08-21 10:03

Should be fixed by the patch for 0024837, please test with branch CR24837 and close.
(0030972)
bugmaster (administrator)
2014-08-21 10:08

Dear MKV,

Please recheck and if all OK create testing case
(0031093)
mkv (tester)
2014-08-26 14:02

Dear duv,
test case bugs vis(004) bug25103 was created and pushed to git branch CR24837 0024837
Could you please review it.
(0031096)
duv (developer)
2014-08-26 15:06

Dear mkv,

Test case reviewed without remarks.
(0031154)
bugmaster (administrator)
2014-08-28 14:33

Waiting fix for 0024837
(0031182)
duv (developer)
2014-08-29 12:12

Dear bugmaster,

CR24837 is tested.
(0031267)
bugmaster (administrator)
2014-09-02 12:10

Test case has been integrated with fix for 0024837

- Issue History
Date Modified Username Field Change
2014-07-25 15:41 san New Issue
2014-07-25 15:41 san Assigned To => kgv
2014-07-25 15:41 san Assigned To kgv => duv
2014-07-25 15:41 san Status new => assigned
2014-08-15 17:29 san Relationship added related to 0024837
2014-08-21 10:03 san Note Added: 0030969
2014-08-21 10:03 san Assigned To duv => bugmaster
2014-08-21 10:03 san Status assigned => feedback
2014-08-21 10:08 bugmaster Note Added: 0030972
2014-08-21 10:09 bugmaster Assigned To bugmaster => mkv
2014-08-26 14:02 mkv Note Added: 0031093
2014-08-26 14:03 mkv Test case number => bugs vis(004) bug25103
2014-08-26 14:03 mkv Assigned To mkv => duv
2014-08-26 15:06 duv Note Added: 0031096
2014-08-26 15:06 duv Assigned To duv => mkv
2014-08-26 15:06 duv Status feedback => reviewed
2014-08-26 15:24 mkv Assigned To mkv => bugmaster
2014-08-26 15:24 mkv Status reviewed => tested
2014-08-28 14:33 bugmaster Note Added: 0031154
2014-08-28 14:33 bugmaster Assigned To bugmaster => duv
2014-08-28 14:33 bugmaster Status tested => assigned
2014-08-29 12:12 duv Note Added: 0031182
2014-08-29 12:12 duv Status assigned => feedback
2014-08-29 12:51 duv Assigned To duv => bugmaster
2014-09-02 12:10 bugmaster Status feedback => tested
2014-09-02 12:10 bugmaster Note Added: 0031267
2014-09-02 12:10 bugmaster Status tested => verified
2014-09-02 12:10 bugmaster Resolution open => fixed
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:57 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker